import 'package:ef/ef.dart';
import 'package:json_annotation/json_annotation.dart';

part 'message_review_controller.g.dart'; // 由json_serializable自动生成的部分

@JsonSerializable()
class MessageReviewModel {
  int? type = 1; //设备类型 1:体征消息 2.系统消息

  MessageReviewModel();

  // 从JSON反序列化时的异常处理

  factory MessageReviewModel.fromJson(Map<String, dynamic> json) {
    try {
      return _$MessageReviewModelFromJson(json);
    } catch (e) {
      // 在实际应用中，应该有更细致的异常处理策略和错误日志
      return MessageReviewModel(); // 或者返回一个带有错误信息的特定DeviceInfoModel实例
    }
  }

  // 序列化为JSON时的异常处理
  Map<String, dynamic> toJson() => _$MessageReviewModelToJson(this);
}

class MessageReviewController extends GetControllerEx<MessageReviewModel> {
  MessageReviewModel() {
    attr = GetModel(MessageReviewModel()).obs;
  }

  RxList messageList = [].obs;
  

}
